#import <OmniDocument/ODDocument.h>

@class NSColor, NSImage, NSImageView;
@class OWAddress;
@class OIImage;

#import <AppKit/NSNibDeclarations.h> // For IBAction
#import <OWF/OWTargetProtocol.h>
#import <OIF/OIImageObserverProtocol.h>

@interface OIDocument : ODDocument <OWTarget, OIImageObserver>
{
   IBOutlet NSImageView *imageView;

    OIImage *omniImage;
    NSSize imageSize;
    NSPoint moveBy;
}

// Actions
- (IBAction)reload:(id)sender;
- (IBAction)printDocument:(id)sender;
- (IBAction)zoomToOriginalSize:(id)sender;
- (IBAction)zoomToMaximumSize:(id)sender;

@end
