// Copyright 1997 Omni Development, Inc.  All rights reserved.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniImage/OIDocumentController.h,v 1.1 1998/01/26 04:20:29 wjs Exp $

#import <OmniDocument/ODDocumentController.h>

@class NSArray;

#import <AppKit/NSNibDeclarations.h> // For IBAction

@interface OIDocumentController : ODDocumentController
{
    NSString *lastDirectory;
    NSMutableArray *imageExtensions;
}

- (NSArray *)imageFileTypes;

- (NSString *)appVersion;
- (NSString *)appFullVersion;

// Actions
- (IBAction)showPreferencesPanel:(id)sender;
- (IBAction)flushCache:(id)sender;

@end
